summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRyan Neufeld <ryan@neufeldmail.com>2013-01-01 19:51:55 -0800
committerRyan Neufeld <ryan@neufeldmail.com>2013-01-01 19:51:55 -0800
commit3362899493662ae8295521bc8fa8eccec79c7550 (patch)
tree6c68f6f5af06a568faf39b785a7c8f507944e750
parent80a603259657acab97badbae20003b5a34c901f9 (diff)
downloadzsh-3362899493662ae8295521bc8fa8eccec79c7550.tar.gz
zsh-3362899493662ae8295521bc8fa8eccec79c7550.tar.bz2
zsh-3362899493662ae8295521bc8fa8eccec79c7550.zip
Adding torrent tools plugin.
Only one tool exists right now, that is to convert a magnetlink into a torrent file.
-rw-r--r--plugins/torrent/torrent.plugin.zsh17
1 files changed, 17 insertions, 0 deletions
diff --git a/plugins/torrent/torrent.plugin.zsh b/plugins/torrent/torrent.plugin.zsh
new file mode 100644
index 000000000..656e337de
--- /dev/null
+++ b/plugins/torrent/torrent.plugin.zsh
@@ -0,0 +1,17 @@
+#
+# Algorithm borrowed from http://wiki.rtorrent.org/MagnetUri and adapted to work with zsh.
+#
+
+function magnet_to_torrent() {
+ [[ "$1" =~ xt=urn:btih:([^\&/]+) ]] || return 1
+
+ hashh=${match[1]}
+
+ if [[ "$1" =~ dn=([^\&/]+) ]];then
+ filename=${match[1]}
+ else
+ filename=$hashh
+ fi
+
+ echo "d10:magnet-uri${#1}:${1}e" > "$filename.torrent"
+} \ No newline at end of file